{ config, pkgs, inputs, lib, ... }: {
  imports = [
    ../cli.nix
    ./bolty-boot.nix
    ./grafana.nix
    ./home-assistant.nix
    ./influxdb.nix
    ./matrix-server.nix
    ./nix-store-server.nix
    ./print-server.nix
    ./real-hardware.nix
    ./restic-server.nix
    ./tailscale-cert.nix
    ./woodpecker-agent.nix
  ];
  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
  programs.ccache.enable = true;
  networking.hostName = "bolty";
  boot.kernelModules = [ "kvm_amd" ];
  virtualisation = {
    libvirtd = {
      enable = true;
      qemu.ovmf.enable = true;
    };
  };
  environment.systemPackages = with pkgs; [
    qemu
    virt-manager
    usbutils
    virt-viewer
    lm_sensors
  ];
  networking.firewall.allowedTCPPorts = [ 5900 ];
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  security.allowUserNamespaces = true;

  time.timeZone = "Europe/London";
}
